/*
 *  This file is part of "Proficio",
 *  a web-based self-learning applications framework.
 *
 *  Copyright (C) 2007-2009 Olivier Jacquemin.
 *
 *  "Proficio" is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  "Proficio" is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program: see the file COPYING.txt.  If not, see
 *  http://www.gnu.org/licenses/.
 */

/*extern Question */

function Division(first, second) {
    // Call base constructor
    this.base = Question;
    this.base();

    this.first = first;
    this.second = second;
}

Division.prototype = new Question();
Division.prototype.constructor = Division;


Division.twoWays = false;


function Division_getResult() {
    return this.second;
}

Division.prototype.getResult = Division_getResult;

function Division_getStatement() {
    var product = this.first * this.second;
    return product + " : " + this.first + " = ";
}

Division.prototype.getStatement = Division_getStatement;

function Division_isCorrect() {
    if (this.answeredValue === null ||
        this.answeredValue === undefined ||
        this.answeredValue === "") {
        return false;
    }

    var numericAnswer = this.answeredValue - 0;
    return (numericAnswer === this.getResult());
}

Division.prototype.isCorrect = Division_isCorrect;

function Division_equals(subt) {
    return ((this.first === subt.first) && (this.second === subt.second));
}

Division.prototype.equals = Division_equals;
